org.apache.sling.maven.slingstart.run

## Class StopMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.slingstart.run.AbstractStartStopMojo
    - - org.apache.sling.maven.slingstart.run.StopMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    @Mojo(name="stop",
          defaultPhase=POST_INTEGRATION_TEST,
          threadSafe=true)
    public class StopMojo
    extends AbstractStartStopMojo

Stop one or multiple running launchpad instance(s).

### Field Summary

### Fields inherited from class org.apache.sling.maven.slingstart.run.AbstractStartStopMojo

`servers, shouldBlockUntilKeyIsPressed, skipLaunchpad, systemPropertiesFile`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`StopMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doExecute()`

### Methods inherited from class org.apache.sling.maven.slingstart.run.AbstractStartStopMojo

`blockIfNecessary, execute`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StopMojo

    public StopMojo()

### Method Detail

#### doExecute

    protected void doExecute()
                      throws org.apache.maven.plugin.MojoExecutionException,
                             org.apache.maven.plugin.MojoFailureException

Specified by:
  `doExecute` in class `AbstractStartStopMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`